Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.webapp
Class BaseXMLFilter

    java.lang.Object
      org.ajax4jsf.webapp.BaseXMLFilter

    public abstract class BaseXMLFilter

extends java.lang.Object

Field Summary
`static java.lang.String` | `AJAX_EXPIRED`
`static java.lang.String` | `APPLICATION_SCOPE_KEY`
`static java.lang.String` | `APPLICATION_XHTML_XML`
`static java.lang.String` | `TEXT_HTML`

Constructor Summary
`BaseXMLFilter()`

Method Summary
`protected void` | `doXmlFilter(javax.servlet.FilterChain chain, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Perform filter chain with xml parsing and transformation.
`java.lang.String` | `getMimetype()`
`java.lang.String` | `getNamespace()`
`protected abstract HtmlParser` | `getParser(java.lang.String mimetype, boolean isAjax, java.lang.String viewId)`
`java.lang.String` | `getPublicid()`
`java.lang.String` | `getSystemid()`
`protected FilterServletResponseWrapper` | `getWrapper(javax.servlet.http.HttpServletResponse response)`
`void` | `init(javax.servlet.FilterConfig config)`
`protected boolean` | `isAjaxRequest(javax.servlet.ServletRequest request)`
`boolean` | `isForcenotrf()`
`boolean` | `isForcexml()`
`protected abstract void` | `reuseParser(HtmlParser parser)`
`void` | `setFilter(BaseFilter filter)`
`protected void` | `setForcenotrf(boolean forcenotrf)`
`protected void` | `setForcexml(boolean forcexml)`
`protected void` | `setMimetype(java.lang.String mimetype)`
`protected void` | `setNamespace(java.lang.String namespace)`
`protected void` | `setPublicid(java.lang.String publicid)`
`protected void` | `setSystemid(java.lang.String systemid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AJAX_EXPIRED

    public static final java.lang.String AJAX_EXPIRED

See Also:
  Constant Field Values

### APPLICATION_XHTML_XML

    public static final java.lang.String APPLICATION_XHTML_XML

See Also:
  Constant Field Values

### APPLICATION_SCOPE_KEY

    public static final java.lang.String APPLICATION_SCOPE_KEY

### TEXT_HTML

    public static final java.lang.String TEXT_HTML

See Also:
  Constant Field Values

Constructor Detail

### BaseXMLFilter

    public BaseXMLFilter()

Method Detail

### setFilter

    public void setFilter(BaseFilter filter)

### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### doXmlFilter

    protected void doXmlFilter(javax.servlet.FilterChain chain,
                               javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)
                        throws java.io.IOException,
                               javax.servlet.ServletException

  Perform filter chain with xml parsing and transformation. Subclasses must implement concrete HTML to XML parsing, nesseasary transformations and serialization.

  Parameters:
    `chain` -
    `httpServletRequest` -
    `httpServletResponse` -
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getWrapper

    protected FilterServletResponseWrapper getWrapper(javax.servlet.http.HttpServletResponse response)
                                               throws javax.servlet.ServletException

  Parameters:
    `response` -
  Returns:
  Throws:
    `javax.servlet.ServletException`

### isAjaxRequest

    protected boolean isAjaxRequest(javax.servlet.ServletRequest request)

  Parameters:
    `request` -
  Returns:

### reuseParser

    protected abstract void reuseParser(HtmlParser parser)

### getParser

    protected abstract HtmlParser getParser(java.lang.String mimetype,
                                            boolean isAjax,
                                            java.lang.String viewId)

### setPublicid

    protected void setPublicid(java.lang.String publicid)

  Parameters:
    `publicid` - The publicid to set.

### getPublicid

    public java.lang.String getPublicid()

  Returns:
    Returns the publicid.

### setSystemid

    protected void setSystemid(java.lang.String systemid)

  Parameters:
    `systemid` - The systemid to set.

### getSystemid

    public java.lang.String getSystemid()

  Returns:
    Returns the systemid.

### setNamespace

    protected void setNamespace(java.lang.String namespace)

  Parameters:
    `namespace` - The namespace to set.

### getNamespace

    public java.lang.String getNamespace()

  Returns:
    Returns the namespace.

### setMimetype

    protected void setMimetype(java.lang.String mimetype)

  Parameters:
    `mimetype` - The mimetype to set.

### getMimetype

    public java.lang.String getMimetype()

  Returns:
    Returns the mimetype.

### isForcexml

    public boolean isForcexml()

  Returns:
    Returns the forcexml.

### isForcenotrf

    public boolean isForcenotrf()

### setForcexml

    protected void setForcexml(boolean forcexml)

  Parameters:
    `forcexml` - The forcexml to set.

### setForcenotrf

    protected void setForcenotrf(boolean forcenotrf)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.